DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# SimulatedAttenuation

Simulation of the attenuation process

## SYNOPSIS

`#include "dip_microscopy.h"`

dip_Error dip_SimulatedAttenuation ( in, out, fAttenuation, bAttenuation, NA, refIndex, zxratio, oversample, rayStep )

## DATA TYPES

binary, integer, float

## FUNCTION

This function simulates an attenuation based on the model of a CSLM, using a ray tracing method.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_float` | `fAttenuation` | Forward attenuation factor
`dip_float` | `bAttenuation` | Backward attenuation factor
`dip_float` | `NA` | Numerical aperture
`dip_float` | `refIndex` | Refractive index
`dip_float` | `zxratio` | Z/X sampling ratio
`dip_int` | `oversample` | Ray casting oversampling
`dip_float` | `rayStep` | Ray step

## LITERATURE

K.C. Strasters, H.T.M. van der Voort, J.M. Geusebroek, and A.W.M. Smeulders, Fast attenuation correction in fluorescence confocal imaging: a recursive approach, BioImaging, vol. 2, no. 2, 1994, 78-92.

## AUTHOR

Karel Strasters, adapted to DIPlib by Geert van Kempen.

## SEE ALSO

`AttenuationCorrection`, `ExponentialFitCorrection`